This page links to all the LookML parameters that are children of the `explore` parameter.

An Explore serves as the starting point for a query in the Looker application. Explores reference [views](https://docs.cloud.google.com/looker/docs/reference/param-view.md.txt) and each Explore can contain [joins](https://docs.cloud.google.com/looker/docs/reference/param-join.md.txt) to other views. Explores should typically be declared in a [model file](https://docs.cloud.google.com/looker/docs/reference/param-model.md.txt).

## Example usage

*Hover over a parameter name to see a quick description; click it to jump to that page.
When a parameter can be set to one of several specific options, the default value is listed first.*

```
## STRUCTURAL PARAMETERS

explore: explore_name {
  extension: required
  extends: [explore_name,  explore_name, ...]
  fields: [field_or_set, field_or_set, ...]
  tags: ["string1", "string2", ...]

  # DISPLAY PARAMETERS
  description: "Description I want"
  group_label: "Label to use as a heading in the Explore menu"
  hidden: yes | no
  label: "desired label"
  query:  {
      # Desired query parameters (described on the query page)      }
  view_label: "Field picker heading I want for the Explore's fields"

  # FILTER PARAMETERS

  access_filter: {
    field: fully_scoped_field
    user_attribute: user_attribute_name
  }

  # Possibly more access_filter declarations

  always_filter: {
    filters: [field_name: "filter expression", field_name: "filter expression", ...]
  }
  case_sensitive: yes | no
  conditionally_filter: {
    filters: [field_name: "filter expression", field_name: "filter expression", ...]
    unless: [field_name, field_name, ...]
  }
  sql_always_having: SQL HAVING condition ;;
  sql_always_where: SQL WHERE condition ;;

  # JOIN PARAMETERS

  always_join: [view_name, view_name, ...]
  join: view_name {
    # Desired join parameters (described on Join Parameters page)
  }
  # Possibly more join declarations

  # QUERY PARAMETERS

  autogenerate_primary_keys: yes | no
  cancel_grouping_fields: [fully_scoped_field, fully_scoped_field, ...]
  from: view_name
  persist_for: "N (seconds | minutes | hours)"
  persist_with: datagroup_name
  required_access_grants: [access_grant_name, access_grant_name, ...]
  sql_table_name: table_name ;;
  sql_analytic_model_name: analytic_model_name ;;
  sql_preamble: SQL STATEMENT  ;;
  symmetric_aggregates: yes | no
  view_name: view_name

  # AGGREGATE TABLE PARAMETERS

  aggregate_table: table_name {
    query:  {
      # Desired query parameters (described on the aggregate_table page)
    }
    materialization:  {
      # Desired materialization parameters (described on the aggregate_table page)
    }
  }
  # Possibly more aggregate_table declarations
}

## REFINEMENT PARAMETERS

explore: +explore_name {
  final: yes
}
```

## Parameter definitions

| Parameter Name | Description |
|---|---|
| Structural Parameters ||
| [`extends` (for Explore)](https://docs.cloud.google.com/looker/docs/reference/param-explore-extends.md.txt) | Specifies Explore(s) that will be extended by this Explore |
| [`extension` (for Explore)](https://docs.cloud.google.com/looker/docs/reference/param-explore-extension.md.txt) | Specifies that the Explore requires extension and cannot itself be exposed to users |
| [`explore` (for model)](https://docs.cloud.google.com/looker/docs/reference/param-explore-explore.md.txt) | Exposes a view in the Explore menu |
| [`fields` (for Explore)](https://docs.cloud.google.com/looker/docs/reference/param-explore-fields.md.txt) | Limits the fields available in an Explore from its base view and through the Explore's joins |
| [`tags` (for Explore)](https://docs.cloud.google.com/looker/docs/reference/param-explore-tags.md.txt) | Specifies text that can be passed to other applications |
| Display Parameters ||
| [`description` (for Explore)](https://docs.cloud.google.com/looker/docs/reference/param-explore-description.md.txt) | Adds a description for an Explore that appears to users in the UI |
| [`group_label` (for Explore)](https://docs.cloud.google.com/looker/docs/reference/param-explore-group-label.md.txt) | Creates a group label to use as a heading in the Explore menu |
| [`hidden` (for Explore)](https://docs.cloud.google.com/looker/docs/reference/param-explore-hidden.md.txt) | Hides an Explore from the Explore menu |
| [`label` (for Explore)](https://docs.cloud.google.com/looker/docs/reference/param-explore-label.md.txt) | Changes the way an Explore appears in the Explore menu |
| [`query` (for Explore)](https://docs.cloud.google.com/looker/docs/reference/param-explore-query.md.txt) | Creates a predefined query for users to select in an Explore's Quick Start menu. |
| [`view_label` (for Explore)](https://docs.cloud.google.com/looker/docs/reference/param-explore-view-label.md.txt) | Specifies how a group of fields from the Explore's base view will be labeled in the field picker |
| Filter Parameters ||
| [`access_filter`](https://docs.cloud.google.com/looker/docs/reference/param-explore-access-filter.md.txt) | Adds user-specific filters to an Explore |
| [`always_filter`](https://docs.cloud.google.com/looker/docs/reference/param-explore-always-filter.md.txt) | Adds filters a user can change, but not remove, to an Explore |
| [`case_sensitive` (for Explore)](https://docs.cloud.google.com/looker/docs/reference/param-explore-case-sensitive.md.txt) | Specifies whether filters are case-sensitive for an Explore |
| [`conditionally_filter`](https://docs.cloud.google.com/looker/docs/reference/param-explore-conditionally-filter.md.txt) | Adds filters to an Explore if a user does not add their own filter from a specific list |
| [`sql_always_having`](https://docs.cloud.google.com/looker/docs/reference/param-explore-sql-always-having.md.txt) | Inserts conditions into the query's `HAVING` clause that a user cannot change or remove for this Explore |
| [`sql_always_where`](https://docs.cloud.google.com/looker/docs/reference/param-explore-sql-always-where.md.txt) | Inserts conditions into the query's `WHERE` clause that a user cannot change or remove for this Explore |
| Join Parameters ||
| [`always_join`](https://docs.cloud.google.com/looker/docs/reference/param-explore-always-join.md.txt) | Specifies which joins must always be applied to an Explore |
| [`join`](https://docs.cloud.google.com/looker/docs/reference/param-explore-join.md.txt) | Joins an additional view to an Explore. For more information about joins and their parameters, see the [Join Parameters](https://docs.cloud.google.com/looker/docs/reference/param-join.md.txt) reference page. |
| Query Parameters ||
| [`autogenerate_primary_keys` (for Explore)](https://docs.cloud.google.com/looker/docs/reference/param-explore-autogenerate-primary-keys.md.txt) | Enables or disables automatic primary key generation |
| [`cancel_grouping_fields`](https://docs.cloud.google.com/looker/docs/reference/param-explore-cancel-grouping-fields.md.txt) | Cancels the `GROUP BY` clause when certain fields are chosen in an Explore |
| [`from` (for Explore)](https://docs.cloud.google.com/looker/docs/reference/param-explore-from.md.txt) | Specifies the view on which an Explore will be based, and reference the fields of that view by the Explore's name |
| [`persist_for` (for Explore)](https://docs.cloud.google.com/looker/docs/reference/param-explore-persist-for.md.txt) | Changes the cache settings for an Explore |
| [`persist_with` (for Explore)](https://docs.cloud.google.com/looker/docs/reference/param-explore-persist-with.md.txt) | Specifies the datagroup to use for the Explore's caching policy |
| [`required_access_grants` (for Explore)](https://docs.cloud.google.com/looker/docs/reference/param-explore-required-access-grants.md.txt) | Limits access to the Explore to only users whose user attribute values match the access grants |
| [`sql_table_name` (for Explore)](https://docs.cloud.google.com/looker/docs/reference/param-explore-sql-table-name.md.txt) | Specifies the database table on which an Explore will be based |
| [`sql_analytic_model_name` (for Explore)](https://docs.cloud.google.com/looker/docs/reference/param-explore-sql-analytic-model-name.md.txt) | Specifies the in-database analytic model on which an Explore will be based |
| [`symmetric_aggregates`](https://docs.cloud.google.com/looker/docs/reference/param-explore-symmetric-aggregates.md.txt) | Specifies whether symmetric aggregates are enabled for an Explore |
| [`view_name` (for Explore)](https://docs.cloud.google.com/looker/docs/reference/param-explore-view-name.md.txt) | Specifies the view on which an Explore will be based, and references the fields of that view by the view's name |
| Aggregate Table Parameters ||
| [`aggregate_table`](https://docs.cloud.google.com/looker/docs/reference/param-explore-aggregate-table.md.txt) | Creates an aggregate table in order to use aggregate awareness for queries on the Explore. For information on the `aggregate_table` parameter, see the [`aggregate_table`](https://docs.cloud.google.com/looker/docs/reference/param-explore-aggregate-table.md.txt) parameter page. For an overview of aggregate awareness, see the [Aggregate awareness](https://docs.cloud.google.com/looker/docs/aggregate_awareness.md.txt) documentation page. |
| [`query`](https://docs.cloud.google.com/looker/docs/reference/param-explore-aggregate-table.md.txt#query) | Defines the query for the aggregate table. For information on `query` and its subparameters, see the [`aggregate_table`](https://docs.cloud.google.com/looker/docs/reference/param-explore-aggregate-table.md.txt#query) parameter page. |
| [`materialization`](https://docs.cloud.google.com/looker/docs/reference/param-explore-aggregate-table.md.txt#materialization) | Defines the persistence strategy for the aggregate table. For information on `materialization` and its subparameters, see the [`aggregate_table`](https://docs.cloud.google.com/looker/docs/reference/param-explore-aggregate-table.md.txt#materialization) parameter page. |
| Refinement Parameters ||
| [`explore: +explore_name`](https://docs.cloud.google.com/looker/docs/lookml-refinements.md.txt) | Adds a plus sign (`+`) in front of an existing Explore name to add a refinement to the existing Explore. See the [LookML refinements](https://docs.cloud.google.com/looker/docs/lookml-refinements.md.txt) documentation page for more information and use cases. |
| [`final`](https://docs.cloud.google.com/looker/docs/lookml-refinements.md.txt#final) | Indicates that the current refinement is the final refinement allowed for the Explore. See the [LookML refinements](https://docs.cloud.google.com/looker/docs/lookml-refinements.md.txt#final) documentation page for more information and use cases. |
| Parameters to Avoid ||
| `access_filter_fields` | Removed 6.0 Replaced by [`access_filter`](https://docs.cloud.google.com/looker/docs/reference/param-explore-access-filter.md.txt) |